<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

namespace Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo;

class Folder
{
    /** @var string */
    private $_name;
    /** @var \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\File[] */
    private $_files;
    /** @var \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder[] */
    private $_folders;

    /**
     * Folder constructor.
     *
     * @param $name string
     * @param $files \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\File[]
     * @param $folders \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder[]
     */
    public function __construct($name, $files, $folders)
    {
        $this->_name = $name;
        $this->_files = $files;
        $this->_folders = $folders;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->_name;
    }

    /**
     * @return \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\File[]
     */
    public function getFiles()
    {
        return $this->_files;
    }

    /**
     * @return \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder[]
     */
    public function getFolders()
    {
        return $this->_folders;
    }
}
